@echo off
REM ##############################################################################
REM #Skript zur Einrichtung der Eduroam Konfiguration unter Windows 7            #
REM #Autoren: Frederic Schwarzer und Sven Wiesner                                #
REM #Institut fr maschinelle Anlagentechnik und Betriebsfestigkeit, TU Clausthal#
REM #Erweitert durch:                                                            #
REM #Christian Marg, Rechenzentrum der TU Clausthal                              #
REM #Sven Strickroth, Institut fr Informatik, TU Clausthal                      #
REM #Letzte nderung: 20.01.2011
REM #                                                                            # 
REM #Adaption Leuphana RMZ Tjark Nogli Torben Wriedt Karsten Holmberg 06.07.2011 #
REM ##############################################################################

setlocal enableextensions

cls

:prepareinstall
certutil -enterprise -addstore root "%~dp0dfn-global-root.cer"
certutil -enterprise -addstore ca "%~dp0dfn-global.cer"
certutil -enterprise -addstore ca "%~dp0dfn-global-leuphana.cer"


rem find all windows managed network devices...
for /F %%i IN ('reg query HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Network\{4D36E972-E325-11CE-BFC1-08002BE10318} ^| find "}\{"') do call :getdevname %%i
pause
goto exit

rem check if it is a wireless connection
:getdevname
set DEVICEID=%1
reg query %DEVICEID%\Connection /v MediaSubType 2>&1 | find "0x2" | find "REG_DWORD" >nul
if %ERRORLEVEL%==0 (
for /F "tokens=2 delims=REG_SZ	" %%j IN ('reg query %DEVICEID%\Connection /v Name ^| find "REG_SZ"') do call :installprofile "%%j"
echo/
)
goto :EOF

rem install eduroam profile
:installprofile
set TEMP=%1
set DEVICENAME=%TEMP:~5,-1%
set TEMP=
netsh wlan add profile filename="%~dp0eduroam.xml" interface="%DEVICENAME%" user=all

rem install Leuphana (WPA2 WLAN) profile
:installprofile
set TEMP=%1
set DEVICENAME=%TEMP:~5,-1%
set TEMP=
netsh wlan add profile filename="%~dp0Leuphana.xml" interface="%DEVICENAME%" user=all
goto :EOF

:exit
endlocal
